Bug 501690 - drop s390 support
drop s390 support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libhugetlbfs (Show other bugs)
11
s390x Linux
low Severity medium
: ---
: ---
Assigned To: Eric Munson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2009-05-20 06:49 EDT by Dan Horák
Modified: 2009-06-15 21:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 21:54:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to drop s390 support (420 bytes, patch)
2009-05-20 06:49 EDT, Dan Horák
no flags Details | Diff
split to s390 and s390x cases (457 bytes, patch)
2009-06-03 05:14 EDT, Dan Horák
no flags Details | Diff
split to s390 and s390x cases, fix is64 lib path (608 bytes, patch)
2009-06-03 06:11 EDT, Dan Horák
no flags Details | Diff

  None (edit)
Description Dan Horák 2009-05-20 06:49:34 EDT
Created attachment 344779 [details]
patch to drop s390 support

Recent rebuild of Fedora 11 for the s390x architecture drops support for s390 (32-bit) version. The patch in attachment solves the situation for Fedora, but a decision should be done whether this change should be propagated into libhugetlbfs upstream or it will be Fedora specific.
Comment 1 Eric Munson 2009-06-02 12:07:28 EDT
I am going to apply this in the spec file until I can diagnose what is causing the build failure.
Comment 2 Dan Horák 2009-06-02 12:14:27 EDT
I think the primary cause is that F-11 gcc/glibc on s390x doesn't contain the 31/32 bit support, it supports only 64-bit.

You can see the failed builds at https://s390.koji.fedoraproject.org/koji/packageinfo?packageID=4912
Comment 3 Eric Munson 2009-06-03 03:41:13 EDT
With that, this patch will remain separate from the upstream code.  I will push the new package to testing for F11 today.
Comment 4 Fedora Update System 2009-06-03 03:42:54 EDT
libhugetlbfs-2.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libhugetlbfs-2.4-2.fc11
Comment 5 Dan Horák 2009-06-03 05:14:08 EDT
Created attachment 346368 [details]
split to s390 and s390x cases

Or maybe the s390x conditional could be split into independent s390 and s390x parts.
Comment 6 Dan Horák 2009-06-03 06:11:51 EDT
Created attachment 346372 [details]
split to s390 and s390x cases, fix is64 lib path

new version of the patch add a fix to default library path on ia64 - ia64 uses "lib" for native 64-bit libraries - see http://www.pathname.com/fhs/pub/fhs-2.3.html#LIB64 for details

tested builds
ia64 on RHEL 5
i386/i586, x86_64, ppc, ppc64, s390x on Fedora
Comment 7 Fedora Update System 2009-06-04 17:23:35 EDT
libhugetlbfs-2.4-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libhugetlbfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5957
Comment 8 Bug Zapper 2009-06-09 12:09:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Eric Munson 2009-06-11 04:41:56 EDT
Dan,

Please submit the two latest patches to libhugetlbfs-devel@lists.sourceforge.net so they can be applied upstream.  For the 2.4 release I will use the first patch that simply disables 32 bit S390 builds.
Comment 10 Fedora Update System 2009-06-15 21:53:55 EDT
libhugetlbfs-2.4-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.